# Uses of Interface
java.lang.classfile.constantpool.InterfaceMethodRefEntry

Packages that use InterfaceMethodRefEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of InterfaceMethodRefEntry in java.lang.classfile

Methods in java.lang.classfile with parameters of type InterfaceMethodRefEntry
Modifier and Type
Method
Description
`default CodeBuilder`
CodeBuilder.`invokeinterface(InterfaceMethodRefEntry ref)`
Generates an instruction to invoke an interface method.
`default CodeBuilder`
CodeBuilder.`invokespecial(InterfaceMethodRefEntry ref)`
Generates an instruction to invoke an instance method in an interface; direct invocation of methods of the current class and its supertypes.
`default CodeBuilder`
CodeBuilder.`invokestatic(InterfaceMethodRefEntry ref)`
Generates an instruction to invoke a class (static) method of an interface.

## Uses of InterfaceMethodRefEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return InterfaceMethodRefEntry
Modifier and Type
Method
Description
`InterfaceMethodRefEntry`
ConstantPoolBuilder.`interfaceMethodRefEntry(ClassEntry owner, NameAndTypeEntry nameAndType)`
Returns an `InterfaceMethodRefEntry` referring to a `ClassEntry` and a `NameAndTypeEntry`.
`default InterfaceMethodRefEntry`
ConstantPoolBuilder.`interfaceMethodRefEntry(ClassDesc owner, String name, MethodTypeDesc type)`
Returns an `InterfaceMethodRefEntry` describing a method of an interface.